%define soname 0

Name:           mpg123
Version:        1.13.2
Release:        4.1

License:        LGPL 2.1
Summary:        Realtime Player for MPEG Audio Layer 1, 2, and 3 Files
Url:            http://mpg123.org/
Group:          Productivity/Multimedia/Sound/Players

Source:         http://mpg123.org/download/%{name}-%{version}.tar.bz2
Source99:       mpg123-rpmlintrc

Patch1:         mpg123-remove_reldir_fallback.patch

Requires:       libmpg123-%{soname} = %{version}

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  SDL-devel
BuildRequires:  alsa-devel
BuildRequires:  arts-devel
BuildRequires:  esound-devel
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libao-devel
BuildRequires:  libaudio-devel
BuildRequires:  libjack-devel
BuildRequires:  libpulse-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  pkg-config
BuildRequires:  portaudio-devel
%if 0%{?suse_version} > 1110
BuildRequires:  openal-soft-devel
%else
BuildRequires:  openal-devel
%endif

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

%package -n lib%{name}-devel
License:        LGPL 2.1
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
Requires:       lib%{name}-%{soname} = %{version}

%description -n lib%{name}-devel
This package contains the files needed to compile programs that use
the mpg123 library.

%package -n lib%{name}-%{soname}
Summary:        Realtime Player Library for MPEG Audio Layer 1, 2, and 3 Files
Group:          System/Libraries

%description -n lib%{name}-%{soname}
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

%package arts
Summary:        Artsd KDE Sound System Daemon Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description arts
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for artsd (the KDE sound system daemon)
output support.

%package esound
Summary:        Esound GNOME Sound System Daemon Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description esound
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for esound (the GNOME sound system daemon)
output support.

%package pulse
Summary:        Pulseaudio Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description pulse
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for Pulseaudio output support.

%package jack
Summary:        Jack Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description jack
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for JACK output support.

%package portaudio
Summary:        Portaudio Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description portaudio
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for Portaudio output support.

%package sdl
Summary:        SDL Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description sdl
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for SDL output support.

%package nas
Summary:        NAS Support for %{name}
Group:          Productivity/Multimedia/Sound/Players

%description nas
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This package contains the plugin for NAS (Network Audio System) output
support.

%package all
Summary:        Support for all output plugins in %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name}-jack = %{version}
Requires:       %{name}-portaudio = %{version}
Requires:       %{name}-pulse = %{version}
Requires:       %{name}-sdl = %{version}

%description all
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0/2.5 layers 1, 2, and 3, with CD quality playback even on
relatively slow CPUs.

This is an empty package that installs (requires) all output plugins for
%{name} that are kept in separate subpackages, except
- %{name}-esd (esound support)
- %{name}-arts (aRTs sound daemon support)
- %{name}-nas (NAS (Network Audio Server) support)
which have to be installed separately.

Install this package if you want to make sure you have all supported
output plugins (except esd, arts and nas).

%prep
%setup -q
%patch1

%build
%configure \
%ifarch i586
    --with-cpu=i586_dither      \
%endif
%ifarch i686
    --with-cpu=mmx              \
%endif
%ifarch athlon
    --with-cpu=3dnow            \
%endif
%ifarch x86_64
    --with-cpu=x86-64_dither    \
%endif
    --with-default-audio=alsa   \
    --enable-modules=yes \
    --enable-ipv6=yes \
    --enable-network=yes \
    --enable-fifo=yes \
    --enable-gapless=yes \
    --with-optimization=0 \
    --with-module-suffix=.so

make %{?_smp_mflags}

%install
%makeinstall

rm -f %{buildroot}%{_libdir}/lib%{name}.la
rm -f %{buildroot}%{_libdir}/%{name}/*.la

rm -f doc/README.WIN32
rm -f doc/Makefile*

install -d "%{buildroot}%{_docdir}/%{name}"
>rpmdocfiles.lst
pushd doc
for f in *.txt; do
    install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
    echo "%doc %{_docdir}/%{name}/$f" >>../rpmdocfiles.lst
done
/bin/ls -1d *|grep -E '^[[:upper:]]+.*' | while read f; do
    install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$f"
    echo "%doc %{_docdir}/%{name}/$f" >>../rpmdocfiles.lst
done
popd #doc
cp -a doc/examples "%{buildroot}%{_docdir}/%{name}/"

cat >README-all <<EOF
This package is just a placeholder to install all available
%{name} plugins.
EOF

%post   -n lib%{name}-%{soname} -p /sbin/ldconfig
%postun -n lib%{name}-%{soname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f rpmdocfiles.lst
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%{_bindir}/mpg123
%doc %{_mandir}/man1/mpg123.1%{ext_man}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa.so
%{_libdir}/%{name}/output_dummy.so
%{_libdir}/%{name}/output_openal.so
%{_libdir}/%{name}/output_oss.so

%files -n lib%{name}-devel
%defattr(-,root,root)
%doc %{_docdir}/%{name}/examples
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n lib%{name}-%{soname}
%defattr(0644,root,root)
%{_libdir}/lib%{name}.so.%{soname}
%{_libdir}/lib%{name}.so.%{soname}.*.*

%files arts
%defattr(-,root,root)
%{_libdir}/%{name}/output_arts.so

%files esound
%defattr(-,root,root)
%{_libdir}/%{name}/output_esd.so

%files pulse
%defattr(-,root,root)
%{_libdir}/%{name}/output_pulse.so

%files jack
%defattr(-,root,root)
%{_libdir}/%{name}/output_jack.so

%files portaudio
%defattr(-,root,root)
%{_libdir}/%{name}/output_portaudio.so

%files sdl
%defattr(-,root,root)
%{_libdir}/%{name}/output_sdl.so

%files nas
%defattr(-,root,root)
%{_libdir}/%{name}/output_nas.so

%files all
%defattr(-,root,root)
%doc README-all

%changelog
